## org.apache.poi.hwpf.model
Class ShapesTable

    java.lang.Object
      org.apache.poi.hwpf.model.ShapesTable

Deprecated.

    @Internal
    @Deprecated
    public final class ShapesTable

extends java.lang.Object

Constructor Summary
`ShapesTable(byte[] tblStream, FileInformationBlock fib)` Deprecated.

Method Summary
`java.util.List<Shape>` `getAllShapes()` Deprecated.
`java.util.List<Shape>` `getVisibleShapes()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapesTable

    public ShapesTable(byte[] tblStream,
                       FileInformationBlock fib)

  Deprecated.

Method Detail

### getAllShapes

    public java.util.List<Shape> getAllShapes()

  Deprecated.

### getVisibleShapes

    public java.util.List<Shape> getVisibleShapes()

  Deprecated.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.